# Gimp.ModuleRegisterFunc

    function onModuleRegisterFunc(module: GObject.TypeModule): Boolean {
    }

The signature of the register function a loadable GIMP module must implement. In the module, the function must be called [func@Module.register].

When this function is called, the module should register all the types it implements with the passed module.

module

  The module responsible for this loadable module.

Returns

  Whether the registration was succesfull